#!/bin/sh

cat <<EOF >/cross.ini
[binaries]
c = 'x86_64-apple-${OSXCROSS_TARGET}-clang'
ar = 'x86_64-apple-${OSXCROSS_TARGET}-ar'
cpp = 'x86_64-apple-${OSXCROSS_TARGET}-clang'

[host_machine]
system = 'linux'
cpu_family = 'x86'
cpu = 'i686'
endian = 'little'
EOF
sed -i "s!-Dtests=false!-Dtests=false\\n        --cross-file=/cross.ini!" /vcpkg/ports/fribidi/portfile.cmake
sed -i "s!-Dbenchmark=disabled!-Dbenchmark=disabled\\n        --cross-file=/cross.ini!" /vcpkg/ports/harfbuzz/portfile.cmake
sed -i "s/--disable-openmp/--disable-openmp\\n    --host=x86_64-apple-${OSXCROSS_TARGET}/" /vcpkg/ports/gettext/portfile.cmake
sed -i 's!list(APPEND OPTIONS "--config-cache")!list(APPEND OPTIONS "--config-cache")'\\n'        set(ENV{CFLAGS} "$ENV{CFLAGS} -I/osxcross/target/SDK/MacOSX$ENV{OSX_VER}.sdk/usr/include -D__APPLE__ -D__MACH__")!' /vcpkg/ports/gettext/portfile.cmake

vcpkg install --triplet=x64-osx libpng libass

MCC=x86_64-apple-${OSXCROSS_TARGET}-clang cmake -DCMAKE_BUILD_TYPE=Release -DVCPKG_TARGET_TRIPLET=x64-osx -DCMAKE_TOOLCHAIN_FILE=/vcpkg/scripts/buildsystems/vcpkg.cmake -B /ass2bdnxml/osx64 /ass2bdnxml
cmake --build /ass2bdnxml/osx64
cp ass2bdnxml/osx64/ass2bdnxml /dist/ass2bdnxml-osx64
